/*
public Tile updateTile(Vector3 value){
			Tile newTile = new Tile(this);
			// update zoneName

			int mostProminent = 0;
			float heighestValue = 0.0f;
			for(int i =0; i < 3; i++ ){
				if(value[i] > heighestValue){
					heighestValue = value[i];
					mostProminent = i;
				}
			}

			float ratio = Mathf.Max(value.x, value.y, value.z) / Mathf.Min(value.x, value.y, value.z);
			//Find the range of development (require zoneTypes) -> this.zoneTypes[mostProminent].prefabsIdentifier.Count;
			
			// Set zoneName based on most prominent feature
			switch(mostProminent){
				case 0:{
					if(this.zoneName == "Recidential"){
						newTile.development = this.development++;
					}else{
						newTile.development = this.development--;
					}
					newTile.zoneName = "Recidential";
					break;
				}
				case 1:{
					if(this.zoneName == "Commercial"){
						newTile.development = this.development++;
					}else{
						newTile.development = this.development--;
					}
	            	newTile.zoneName = "Commercial"; 
					break;
				}
				case 2:{
					if(this.zoneName == "Industrial"){
						newTile.development = this.development++;
					}else{
						newTile.development = this.development--;
					}
	           		newTile.zoneName = "Industrial"; 
					break;
				}
			}

		    return newTile;
		}
		
		*/